package com.ssj.service.conch.curator.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Pattern;

/**
 * @author Mount Liu
 * @date 2019/12/25
 */
public class AddCorrectServiceReq extends BaseRequest {

    private final static long serialVersionUID = 1L;
    @NotBlank
    @ApiModelProperty(name = "vipId", value = "学生vipId", required = true)
    private String vipId;
    @NotBlank
    @ApiModelProperty(name = "libId", value = "校区id", required = true)
    private String libId;
    @NotBlank
    @ApiModelProperty(name = "number", value = "数量", required = true)
    private Integer number;
    @NotBlank
    @ApiModelProperty(name = "priceType", value = "卡类型（C023:平台服务;C024:校区服务;）", required = true)
    private String priceType;
    @NotBlank
    @Pattern(regexp = "\\d{4}\\.\\d{2}\\.\\d{2}")
    @ApiModelProperty(name = "beginDate", value = "开始时间(yyyy.MM.dd)", required = false)
    private String beginDate;
    @NotBlank
    @Pattern(regexp = "\\d{4}\\.\\d{2}\\.\\d{2}")
    @ApiModelProperty(name = "endDate", value = "结束时间(yyyy.MM.dd)", required = false)
    private String endDate;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
}
